Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::RayDistance Class Reference

レイ距離 More...

`#include <RayDistance.h>`

List of all members.

## Static Public Member Functions
float | squaredDistance (const Ray &ray, const Vector3 &point)
| 点距離の二乗
float | squaredDistance (const Ray &ray0, const Ray &ray1)
| 距離の二乗
float | squaredDistance (const Ray &ray, const Segment &segment)
| セグメント距離の二乗
float | squaredDistance (const Ray &ray, const Sphere &sphere)
| 球距離の二乗
float | squaredDistance (const Ray &ray, const Triangle &triangle)
| 三角距離の二乗

## Detailed Description

レイ距離

Definition at line 39 of file RayDistance.h.

## Member Function Documentation

float Lamp::RayDistance::squaredDistance | ( | const Ray & | ray,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角距離の二乗 Parameters:
  ray | レイ
  triangle | 三角
Returns: 距離の二乗 Definition at line 185 of file RayDistance.cpp. References Assert.

float Lamp::RayDistance::squaredDistance | ( | const Ray & | ray,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球距離の二乗 Parameters:
  ray | レイ
  sphere | 球
Returns: 距離の二乗 Definition at line 177 of file RayDistance.cpp. References Assert.

float Lamp::RayDistance::squaredDistance | ( | const Ray & | ray,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント距離の二乗 Parameters:
  ray | レイ
  segment | セグメント
Returns: 距離の二乗 Definition at line 109 of file RayDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Segment::getDirection(), Lamp::Ray::getDirection(), Lamp::Segment::getOrigin(), Lamp::Ray::getOrigin(), and Lamp::Vector3::getSquaredLength().

float Lamp::RayDistance::squaredDistance | ( | const Ray & | ray0,
|  | const Ray & | ray1
| ) | `[static]`

  | 距離の二乗 Parameters:
  ray0 | レイ
  ray1 | レイ
Returns: 距離の二乗 Definition at line 51 of file RayDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Ray::getDirection(), Lamp::Ray::getOrigin(), and Lamp::Vector3::getSquaredLength().

float Lamp::RayDistance::squaredDistance | ( | const Ray & | ray,
|  | const Vector3 & | point
| ) | `[static]`

  | 点距離の二乗 Parameters:
  ray | レイ
  point | 点
Returns: 距離の二乗 Definition at line 34 of file RayDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Ray::getDirection(), Lamp::Ray::getOrigin(), and Lamp::Vector3::getSquaredLength().

The documentation for this class was generated from the following files:

- RayDistance.h
- RayDistance.cpp